r4120 - in trunk/bootscripts: . contrib/init.d

jeremy at linuxfromscratch.org jeremy at linuxfromscratch.org
Sat Sep 4 20:15:49 PDT 2004


Author: jeremy
Date: 2004-09-04 21:15:48 -0600 (Sat, 04 Sep 2004)
New Revision: 4120

Added:
   trunk/bootscripts/contrib/init.d/syslog-ng
Modified:
   trunk/bootscripts/CHANGELOG
   trunk/bootscripts/Makefile
Log:
Added syslog-ng bootscript to contrib, new Makefile target to install it. - Release of 2.2.3 for LFS-Unstable

Modified: trunk/bootscripts/CHANGELOG
===================================================================
--- trunk/bootscripts/CHANGELOG	2004-09-04 20:19:01 UTC (rev 4119)
+++ trunk/bootscripts/CHANGELOG	2004-09-05 03:15:48 UTC (rev 4120)
@@ -1,3 +1,11 @@
+2.2.3 - September 04, 2004
+	* Tagged as 2.2.3
+
+n/a - September 04, 2004
+	* Added new script to contrib for syslog-ng, which is now part of
+	  LFS-Unstable, and a new Makefile target install-syslog-ng which
+	  removes the sysklogd links, and replaces them with syslog-ng (JU)
+
 2.2.2 - August 11, 2004
 	* Tagged as 2.2.2
 

Modified: trunk/bootscripts/Makefile
===================================================================
--- trunk/bootscripts/Makefile	2004-09-04 20:19:01 UTC (rev 4119)
+++ trunk/bootscripts/Makefile	2004-09-05 03:15:48 UTC (rev 4120)
@@ -91,6 +91,19 @@
 	ln -sf ../init.d/hotplug     ${EXTDIR}/rc.d/rc0.d/S50hotplug
 	ln -sf ../init.d/hotplug     ${EXTDIR}/rc.d/rc6.d/S50hotplug
 
+install-syslog-ng: create-dirs
+	install -m ${MODE} contrib/init.d/syslog-ng	${EXTDIR}/rc.d/init.d
+	rm -rf ${EXTDIR}/rc.d/init.d/sysklogd
+	rm -rf ${EXTDIR}/rc.d/rc{0,1,2,6}.d/K90sysklogd
+	rm -rf ${EXTDIR}/rc.d/rc{3,4,5}.d/S10sysklogd
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc0.d/K90syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc1.d/K90syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc2.d/K90syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc6.d/K90syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc3.d/S10syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc4.d/S10syslog-ng
+	ln -sf ../init.d/syslog-ng   ${EXTDIR}/rc.d/rc5.d/S10syslog-ng
+
 install-service-mtu: create-service-dir
 	install -m ${MODE} contrib/sysconfig/network-devices/services/mtu ${EXTDIR}/sysconfig/network-devices/services
 

Added: trunk/bootscripts/contrib/init.d/syslog-ng
===================================================================
--- trunk/bootscripts/contrib/init.d/syslog-ng	2004-09-04 20:19:01 UTC (rev 4119)
+++ trunk/bootscripts/contrib/init.d/syslog-ng	2004-09-05 03:15:48 UTC (rev 4120)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# Begin $rc_base/init.d/sysklogd - Syslogd and Klogd loaders
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+
+. /etc/sysconfig/rc
+. $rc_functions
+
+case "$1" in
+	start)
+		echo "Starting system log daemon..."
+		loadproc syslog-ng
+		;;
+
+	stop)
+		echo "Stopping system log daemon..."
+		killproc syslog-ng
+		;;
+
+	reload)
+		echo "Reloading system log daemon config file..."
+		reloadproc syslog-ng 1
+		;;
+
+	restart)
+		$0 stop
+		sleep 1
+		$0 start
+		;;
+
+	status)
+		statusproc syslog-ng
+		;;
+
+	*)
+		echo "Usage: $0 {start|stop|reload|restart|status}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/sysklogd




More information about the lfs-book mailing list